## horizon 0.0.2

=== Makefile ===
compile:
	echo No compilation step necessary
	grep -q ^5 /etc/maemo_version && perl -ni -e 'print unless /^X-Osso-Service/' mud-extras/horizon.desktop

install:
	dh_install main.py providers.py framework.py usr/lib/python2.5/site-packages/horizon
	dh_install horizon usr/bin

clean:
	echo No clean step necesary

## horizon 0.0.1

=== debian/changelog ===
horizon (0.0.1) unstable; urgency=low

  * Initial Release.

 -- Andrew Flegg <andrew@bleb.org>  Tue, 14 Jul 2009 22:13:05 +0100

=== debian/control ===
Source: horizon
Uploaders: MUD Project <mud-builder-team@garage.maemo.org>
Section: user/graphics
Priority: extra
Maintainer: Andrew Flegg <andrew@bleb.org>
Build-Depends: gnupg
Standards-Version: 3.6.1

Package: horizon
XB-Maemo-Display-Name: Horizon
XB-Maemo-Icon-26:  iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAAAXNSR0IArs4c
  6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
  SU1FB9kHDhQaHBQZ4VwAAAAZdEVYdENvbW1lbnQAQ3JlYXRlZCB3aXRoIEdJ
  TVBXgQ4XAAAIDElEQVRIx22We3DdVRHHv3vO73Xfuem9SfNom0LTJoEWmjah
  UJSaMlJaoHSQaTuOHXV0nGHUfxwVB3k4OFoZdcbnoH840j8QBgYQBKvQKiog
  tDRNSpM0bZo07yYhyc19/J7nrH+kRYdx/9vdM/vZ2bN7zhL+jxzaf4888uzL
  6ooae+Lhr20oBEH78Nj0ZtfzmzwvICK6RETdF4YudZ/rP98HwAWAdc1N4sL5
  Ef3xmAQAN930CURqCaw03j/VCyICAPvRh756f+gHBwqLS3cGWgnPC+F6HvxA
  AUTwwxCeFzDAr80vzD/9Qc/A8wACAOjo3AKlFE69f/q/oM03bkTjqnq88spf
  AAD79uy4ua1l/eOz84s7pyemMNB/HlOT0xAAAmnCgoZgBTuRQK4mj1R1Nax4
  DIHr/XV+sfidc/2DpwDguuvbkEwm8O6/TyyD2tpa0Nc3sAzZt+dQPp/75ejQ
  +dQHJ7uxUA6U3dwhUq23UJBdje3Nddw7VUTpw2nSE30IB/7FKEzpfE1e1qxZ
  g8AP5guF4pf7+wdfAICunbfh+LE3l0HMDCLCrl1dn8tks0fOfdCHof4BiGs6
  OHf7IeKVLTzvRhRaMT4w/AZOVF2Lc+k1WGkE5Achm32vU+kfT3NCBFS/rhlu
  xYVS+r6+s/0vXL0j0bmtQxIRtmzdvD2eSP36bM8ZDJ8bZN25n8t3PUJuzQYe
  dRmLRgplRThuNGCc4/Bh4lIUxyKbcDfdzeW936NibCVPDA5CM0Fr/dvt27e1
  A0Db9a2CrnbWXXv3vDYzMbHj/JkzCLbex5XtXwJUQOxkACkBMMAM8NUUxbIO
  AvwyE4GM+TGO/+lxZKICJWprwUof7e/rv4dIhAQAXbd/6pDW6qmh0++zm2/F
  4p6HSZMEGyaEVwJYAyAwCWhahgod4WqWbNjMhkXMQN30SYijP2XLschOpZFM
  JA6ePHHqGQEgziQPLn44jyU31Pb2A1RvK2a3CAp91naKdayKVSwFxFJsJdJs
  xdOMWJqVk4aKVzFLE/BLnChOAE1b2G1sJ1UpqyiMEAbhwdHxAZs6burYYtr2
  yZmRIcwYea7s+wFARJGTBrS6UrblyqVsA+syNkqhxkjRRxhdnUtmaEVEBPIr
  MMZ7seL1w2wn4pSsyqqGuroOkUil2wlAcXEBanU7KaUQxasZBEAayy15BQTW
  XFEMgFl+ZLwyjtJgFiY0CGFdGwdGkhBF8HxfkhSbRRj6W8EA+x4q+WawUw2w
  ASAGUIwhEgDFGWaci8pExpaspAWPnGWfiDNEfPk8LMBZwcwSfnYVCIwoCCGF
  2GyEkVpjSAkfBu5d6XGuZhRmIknlyTHEj79K6UoJSiuUnSTEnfdi9z9PoK9x
  HfqXysi/eRQqnabI87iwrpWs3ffBUooWpsbQk5a8sAgirSGlsdoQJIQgQkUm
  sXvoSdzhM2IWsQ4jClaVWDCgnRi6B5jkexd4ZWMjVulR5E+dQOd6QdnqkMOK
  C+H0sHP6VZLQfHEJeKQQYYoSsDVDSoMMEmIMINimgfGFChWrmZMMMAmY6Rjp
  0OdkPk8tTS34/dujONs7RQ2W4M62G6m2hRCOdJNpOiykCe2VUIpAMSYeLwoi
  BogAKeWYCHyvVzMjnU7ivVkBJWOokEMRGdBmGrJ+I0U1G9GYi+OBrtWkyxVs
  yJt0oHMFRHYNRFMnqPoahFoQTBsVcjDqWjTtmwAxLNuCbdk9Yn5m9j0GkMlW
  oXtO83SFMVICj5eAy8UAOt/MqF6FwPdA0ubqbBbZFXmueBGUV4LZfCvKFMPU
  Ushn5wlgwrFx5oAMhlbIpDOozlWfkuyXC9na2ltijt00MVfUQRCI21cJ2AZR
  UkY8c/ky3JEeXBybpK+/PII/D8zheN9lVBZmsD64QFNDA0zlOWRthhRE42Xw
  z88wlWBp2xSisaHh6DN/ePZXouCGxaWFxaeJCHV1tfTaJeZj40yVCChHAlW6
  gGrp4s1LZZxeNHHtqnpY6RU4NhpiqhShRs/B5BCXXYFKRPhdP9OYa7IlWWQy
  Kay9Zu0zRFQhANixbVtq3veOJtPpW0aHx1iWZrGpxoQGUdJkhJrQO6eg4jms
  zFUhDCNMXp7FWqeCprRAMWBWmshVzL3zBMO2SUhCa0vr3994/Y3dROTS+pb1
  cnBgULVvbe/SEK9alulMjo7z7NwihBQEEiAiOAaAMEColh9Ty7QQkIFAMQSB
  mZkMITiTchBEETU0NpT2379/14MPPvjWwc8elPS/C8SmzTd8hUk8GXccFGZm
  uLAwD6UUEQmGILJth0kIEIAoDBEEPoGZhRBk2TaTYcANQ8rl8ti5c+fnf/Gz
  nz/10ccHALfe9kkAQG93z29sUz7g+X6QzOWour6RE5msJsOA1oxsNku5XI7y
  +RqKJxIECCQzGSQzGUWWxaFmqqurd7u6ur54FfLoY48BACQA1DfWI12VwezM
  LCYnJk9uaN3wruu6LSREo7RNsiybLMeG53soV1xUvAo0ERKpJKQhKVBKmLZD
  TWvXvrP7zj1feOLw4ZcA4J69e5HJZPD2W28tg3bdfTc2td+AmONgeOgiLg2P
  XPzGt7/53PDQxQkCVpCQjUpraA1oIoAITAQNhhNLoLa27u2NGzf98I8vvvSt
  HTtuGwSAh777MKqyGez69B04cuQI6OOLHjOj5bpWea5vQAHAj378k6q/HT92
  o9L6Zq3UDaZpriYhmMCjsVj8dC6Xe+f7hw/35DOZAgDsu/8z8sXnnlcfj/sf
  GafjmLeBRNMAAAAASUVORK5CYII=
  ====
Architecture: any
Depends: python-runtime | python2.5-runtime
Description: An artificial horizon and spirit level.
  This application shows the pitch and roll of an accelerometer enabled
  device. In the absence of accelerometers, it shows a twisty turny path
  through the sky. 
  The application can also be used as a spirit level, showing the pitch
  angle in degrees.

## horizon 0.0.2

=== debian/changelog ===
horizon (0.0.2) unstable; urgency=low

  * Initial Release.

 -- Andrew Flegg <andrew@bleb.org>  Tue, 14 Jul 2009 23:03:06 +0100

=== debian/control ===
Source: horizon
Uploaders: MUD Project <mud-builder-team@garage.maemo.org>
Section: user/graphics
Priority: extra
Maintainer: Andrew Flegg <andrew@bleb.org>
Build-Depends: maemo-version, gnupg
Standards-Version: 3.6.1

Package: horizon
XB-Maemo-Display-Name: Horizon
XB-Maemo-Icon-26:  
Architecture: any
Depends: python-runtime | python2.5-runtime
Description: An artificial horizon and spirit level.
  This application shows the pitch and roll of an accelerometer enabled
  device. In the absence of accelerometers, it shows a twisty turny path
  through the sky. 
  The application can also be used as a spirit level, showing the pitch
  angle in degrees.

## horizon 0.0.3

=== debian/changelog ===
horizon (0.0.3) unstable; urgency=low

  * Initial Release.

 -- Andrew Flegg <andrew@bleb.org>  Tue, 14 Jul 2009 23:12:48 +0100

## horizon 0.0.4

=== Makefile ===
compile:
	echo No compilation step necessary

install:
	dh_install main.py providers.py framework.py usr/lib/python2.5/site-packages/horizon
	dh_install horizon usr/bin

clean:
	echo No clean step necesary

=== debian/changelog ===
horizon (0.0.4) unstable; urgency=low

  * Initial Release.

 -- Andrew Flegg <andrew@bleb.org>  Wed, 29 Jul 2009 21:41:51 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: user/graphics
 Priority: extra
 Maintainer: Andrew Flegg <andrew@bleb.org>
-Build-Depends: maemo-version, gnupg
+Build-Depends: gnupg
 Standards-Version: 3.6.1
 
 Package: horizon

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/horizon.sgml > horizon.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	install -D -m 0644 -o root -g root "mud-extras/horizon.desktop" "debian/horizon/usr/share/applications/hildon/horizon.desktop"
	install -D -m 0644 -o root -g root "mud-extras/horizon-26.png" "debian/horizon/usr/share/icons/hicolor/26x26/hildon/horizon.png"
	install -D -m 0644 -o root -g root "mud-extras/horizon-64.png" "debian/horizon/usr/share/icons/hicolor/scalable/hildon/horizon.png"
	install -D -m 0644 -o root -g root "mud-extras/horizon.service" "debian/horizon/usr/share/dbus-1/services/horizon.service"

	# Add here commands to install the package into debian/horizon.
	$(MAKE) DESTDIR=$(CURDIR)/debian/horizon install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs 
#	dh_installdocs
#	dh_installexamples
	dh_install --sourcedir=debian/tmp
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## horizon 0.0.5

=== debian/changelog ===
horizon (0.0.5) unstable; urgency=low

  * Initial Release.

 -- Andrew Flegg <andrew@bleb.org>  Wed, 29 Jul 2009 23:21:31 +0100

## horizon 1.0

=== DESCRIPTION ===
Package: horizon
Type: Package
Title: Horizon Search Algorithm
Version: 1.0
Date: 2016-09-09
Author: Jasper Van doninck
Maintainer: Jasper Van doninck <vandoninck.jasper@gmail.com>
Description: Calculates horizon elevation angle and sky view factor from a digital terrain model.
Depends: raster
License: GPL-2
NeedsCompilation: no
Packaged: 2016-09-09 11:00:59 UTC; javado
Repository: CRAN
Date/Publication: 2016-09-10 01:06:46

## horizon 1.2

=== DESCRIPTION ===
Package: horizon
Type: Package
Title: Horizon Search Algorithm
Version: 1.2
Date: 2018-07-03
Author: Jasper Van doninck
Maintainer: Jasper Van doninck <vandoninck.jasper@gmail.com>
Description: Calculates horizon elevation angle and sky view factor from a digital terrain model (Dozier and Frew, 1990).
Depends: raster
License: GPL-2
NeedsCompilation: no
Packaged: 2018-07-03 08:25:35 UTC; javado
Repository: CRAN
Date/Publication: 2018-07-03 09:00:02 UTC

## horizon 8.0.0

=== debian/changelog ===
horizon (2:8.0.0-3~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Thomas Goirand <zigo@debian.org>  Sun, 22 Nov 2015 14:33:32 +0100

horizon (2:8.0.0-3) unstable; urgency=medium

  * Updated pt.po debconf translation (Closes: #802419).

 -- Thomas Goirand <zigo@debian.org>  Fri, 13 Nov 2015 10:36:16 +0100

horizon (2:8.0.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Disabled apache config properly on removal.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2015 07:21:51 +0000

horizon (2:8.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2015 16:49:49 +0200

horizon (2:8.0.0~rc2-2) experimental; urgency=medium

  * Do not set /etc/.../local_settings.py as CONFFILES (Closes: #801543).

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 Oct 2015 08:46:21 +0000

horizon (2:8.0.0~rc2-1) experimental; urgency=medium

  * New upstream release.
  * Fixed the issue with the file
    /var/lib/openstack-dashboard/secret-key/.secret_key_store not being
    writeable. What seems to happen is that compress, which is run as root,
    writes that file.

 -- Thomas Goirand <zigo@debian.org>  Thu, 08 Oct 2015 21:52:34 +0000

horizon (2:8.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed Improving_find_static_robustness.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Sat, 26 Sep 2015 16:05:12 +0200

horizon (2:8.0.0~b3-7) experimental; urgency=medium

  * openstack-dashboard-apache now also Depends: apache2.

 -- Thomas Goirand <zigo@debian.org>  Wed, 23 Sep 2015 13:25:46 +0200

horizon (2:8.0.0~b3-6) experimental; urgency=medium

  * Added a horizon-doc package.
  * Fixed debian/rules dpkg-parsechangelog to be compatible with Ubuntu.

 -- Thomas Goirand <zigo@debian.org>  Wed, 23 Sep 2015 08:50:12 +0200

horizon (2:8.0.0~b3-5) experimental; urgency=medium

  * Increasing EPOCH to match the one of Ubuntu.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Sep 2015 19:28:12 +0000

horizon (1:8.0.0~b3-4) experimental; urgency=medium

  * Now also allowing Horizon to be installed in /horizon, not just on the
    takeover of webroot. This will be the default.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Sep 2015 13:27:52 +0000

horizon (1:8.0.0~b3-3) experimental; urgency=medium

  * Also adds symlink to the fonts-roboto-fontface and materialdesignicons
    folders to avoid any 404. Horizon is now fully working with the material
    theme (though the user got to run compress by hand after changing the
    theme in local_settings.py).

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Sep 2015 09:33:32 +0000

horizon (1:8.0.0~b3-2) experimental; urgency=medium

  * Added Improving_find_static_robustness.patch.
  * Removed all instances of pyshared, now using lib/python2.7 instead.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Sep 2015 13:21:22 +0000

horizon (1:8.0.0~b3-1) experimental; urgency=medium

  * New upstream release.
  * Fix (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 07 Sep 2015 14:27:34 +0200

horizon (1:8.0.0~b2-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Remobed build-conflicts on python-unittest2.
  * Removed the manual copy of the angular folder in debian/rules.
  * Declares incompatibility with Django 1.8.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Aug 2015 16:16:25 +0200

horizon (2015.1.0+2015.06.09.git15.e63af6c598-1) unstable; urgency=medium

  * New upstream release (packaging 15th commit since 2015.1.0: e63af6c598):
    - CVE-2015-3219: Fixes XSS in Horizon Heat stack creation (Closes: #788306)
  * Fixed double entry in openstack-dashboard.triggers.
  * Dropped patch applied upstream:
    - Persistent_XSS_in_Horizon_metadata_dashboard.patch
  * Added Build-Conflicts: python-rednose.
  * Standards-Version is now 3.9.6 (no change).

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Jun 2015 16:26:13 +0200

horizon (2015.1.0-2) unstable; urgency=high

  * Added update for the sv.po debconf translations (Closes: #781680).
  * Added upstream patch for CVE-2015-3988 (Closes: #786741):
    Persistent_XSS_in_Horizon_metadata_dashboard.patch

 -- Thomas Goirand <zigo@debian.org>  Tue, 12 May 2015 23:23:46 +0200

horizon (2015.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Apr 2015 21:57:20 +0000

horizon (2015.1~rc2-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Fixed (build-)depends for this release.
  * Removed upstream-applied patches.

 -- Thomas Goirand <zigo@debian.org>  Thu, 25 Dec 2014 17:36:23 +0800

horizon (2014.2.1-1) experimental; urgency=medium

  * New upstream release.
  * Removed Update_WSGI_app_creation_to_be_compatible_with_Django_1.7.patch
    applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Sun, 14 Dec 2014 11:44:10 +0000

horizon (2014.2-3) experimental; urgency=medium

  * CVE-2014-8124: Horizon denial of service attack through login page. Applied
    upstream patch (Closes: #772710).

 -- Thomas Goirand <zigo@debian.org>  Wed, 10 Dec 2014 19:53:49 +0800

horizon (2014.2-2) experimental; urgency=medium

  * Added a trigger thing when a javascript lib is updated.

 -- Thomas Goirand <zigo@debian.org>  Tue, 02 Dec 2014 19:03:08 +0800

horizon (2014.2-1) experimental; urgency=medium

  * New upstream release.
  * Added Update_WSGI_app_creation_to_be_compatible_with_Django_1.7.patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 16 Oct 2014 14:56:33 +0000

horizon (2014.2~rc2-1) experimental; urgency=medium

  * New upstream release.
  * New debian/compile-messages to build the .mo files which were removed
    upstream.
  * Mangling upstream rc and beta versions in watch file.
  * Fixed bootstrap-datepicker (build-)depends.


=== debian/control ===
Source: horizon
Section: net
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               po-debconf,
               python-all,
               python-pbr (>= 1.6),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: gettext,
                     python-babel,
                     python-ceilometerclient (>= 1.5.0),
                     python-cinderclient (>= 1:1.3.0),
                     python-compressor,
                     python-coverage,
                     python-django,
                     python-django-babel,
                     python-django-nose,
                     python-django-pyscss (>= 2.0.2),
                     python-eventlet (>= 0.17.4),
                     python-glanceclient (>= 1:0.18.0),
                     python-hacking,
                     python-heatclient (>= 0.3.0),
                     python-httplib2,
                     python-iso8601,
                     python-keystoneclient (>= 1:1.6.0),
                     python-kombu,
                     python-mock (>= 1.3),
                     python-mox3 (>= 0.7.0),
                     python-netaddr (>= 0.7.12),
                     python-neutronclient (>= 1:2.6.0),
                     python-nose,
                     python-nose-exclude,
                     python-nosehtmloutput,
                     python-nosexcover,
                     python-novaclient (>= 2:2.28.1),
                     python-openstack-auth (>= 2.0.0),
                     python-openstack.nose-plugin,
                     python-oslo.concurrency (>= 2.3.0),
                     python-oslo.config (>= 1:2.3.0),
                     python-oslo.i18n (>= 1.5.0),
                     python-oslo.policy (>= 0.5.0),
                     python-oslo.serialization (>= 1.4.0),
                     python-oslo.utils (>= 2.0.0),
                     python-oslosphinx (>= 2.5.0),
                     python-pint,
                     python-pyscss (>= 1.3.4),
                     python-saharaclient (>= 0.10.0),
                     python-six (>= 1.9.0),
                     python-swiftclient,
                     python-testtools (>= 1.4.0),
                     python-troveclient (>= 1:1.2.0),
                     python-tz,
                     python-xstatic,
                     python-xstatic-angular (>= 1.3.7),
                     python-xstatic-angular-bootstrap,
                     python-xstatic-angular-gettext,
                     python-xstatic-angular-lrdragndrop,
                     python-xstatic-bootstrap-datepicker (>= 0.0.0.1-3~),
                     python-xstatic-bootstrap-scss (>= 3),
                     python-xstatic-bootswatch,
                     python-xstatic-d3,
                     python-xstatic-font-awesome,
                     python-xstatic-hogan,
                     python-xstatic-jasmine (>= 2.1.2.0),
                     python-xstatic-jquery,
                     python-xstatic-jquery-migrate,
                     python-xstatic-jquery-ui (>= 1.10.1),
                     python-xstatic-jquery.quicksearch,
                     python-xstatic-jquery.tablesorter (>= 2.14.5.1),
                     python-xstatic-jsencrypt,
                     python-xstatic-magic-search (>= 0.2.5.1),
                     python-xstatic-mdi,
                     python-xstatic-rickshaw,
                     python-xstatic-roboto-fontface (>= 0.4.3.2),
                     python-xstatic-smart-table,
                     python-xstatic-spin,
                     python-xstatic-term.js,
                     python-xvfbwrapper,
                     python-yaml,
Standards-Version: 3.9.6
Homepage: http://horizon.openstack.org
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/horizon.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/horizon.git

Package: python-django-horizon
Section: python
Architecture: all
Depends: python-babel,
         python-ceilometerclient (>= 1.5.0),
         python-cinderclient (>= 1:1.3.0),
         python-compressor,
         python-django,
         python-django-babel,
         python-django-pyscss (>= 2.0.2),
         python-eventlet (>= 0.17.4),
         python-glanceclient (>= 1:0.18.0),
         python-heatclient (>= 0.3.0),
         python-httplib2,
         python-iso8601,
         python-keystoneclient (>= 1:1.6.0),
         python-kombu,
         python-memcache,
         python-netaddr (>= 0.7.12),
         python-neutronclient (>= 1:2.6.0),
         python-novaclient (>= 2:2.28.1),
         python-openstack-auth (>= 2.0.0),
         python-oslo.concurrency (>= 2.3.0),
         python-oslo.config (>= 1:2.3.0),
         python-oslo.i18n (>= 1.5.0),
         python-oslo.policy (>= 0.5.0),
         python-oslo.serialization (>= 1.4.0),
         python-oslo.utils (>= 2.0.0),
         python-pbr (>= 1.8),
         python-pint,
         python-pyscss (>= 1.3.4),
         python-saharaclient (>= 0.10.0),
         python-six (>= 1.9.0),
         python-swiftclient,
         python-troveclient (>= 1:1.2.0),
         python-tz,
         python-xstatic,
         python-xstatic-angular (>= 1.3.7),
         python-xstatic-angular-bootstrap,
         python-xstatic-angular-gettext,
         python-xstatic-angular-lrdragndrop,
         python-xstatic-bootstrap-datepicker (>= 0.0.0.1-3~),
         python-xstatic-bootstrap-scss (>= 3),
         python-xstatic-bootswatch,
         python-xstatic-d3,
         python-xstatic-font-awesome,
         python-xstatic-hogan,
         python-xstatic-jasmine (>= 2.1.2.0),
         python-xstatic-jquery,
         python-xstatic-jquery-migrate,
         python-xstatic-jquery-ui (>= 1.10.1),
         python-xstatic-jquery.quicksearch,
         python-xstatic-jquery.tablesorter (>= 2.14.5.1),
         python-xstatic-jsencrypt,
         python-xstatic-magic-search (>= 0.2.5.1),
         python-xstatic-mdi,
         python-xstatic-rickshaw,
         python-xstatic-roboto-fontface (>= 0.4.3.2),
         python-xstatic-smart-table,
         python-xstatic-spin,
         python-xstatic-term.js,
         python-yaml,
         ${misc:Depends},
         ${python:Depends},
Recommends: memcached,
Description: Django module providing web interaction with OpenStack
 The OpenStack Dashboard is a web application to control an OpenStack
 cloud. It connects to OpenStack services such as Nova, Swift, or Keystone
 using the OpenStack REST API just as you would with the command line
 clients.
 .
 Horizon is a Django module that permits interaction with an OpenStack
 cloud. It can be used to build a dashboard to control an OpenStack cloud.

Package: openstack-dashboard
Architecture: all
Depends: adduser,
         libjs-jquery,
         libjs-jquery-cookie,
         python-django-horizon (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
Recommends: memcached,
            openstack-dashboard-apache,
Description: web application to control an OpenStack cloud
 The OpenStack Dashboard is a web application to control an OpenStack
 cloud. It connects to OpenStack services such as Nova, Swift, or Keystone
 using the OpenStack REST API just as you would with the command line
 clients.

Package: openstack-dashboard-apache
Architecture: all
Depends: apache2,
         debconf,
         libapache2-mod-wsgi (>= 2.3),
         openstack-dashboard,
         ${misc:Depends},
Description: web application to control an OpenStack cloud - Apache support
 The OpenStack Dashboard is a web application to control an OpenStack
 cloud. It connects to OpenStack services such as Nova, Swift, or Keystone
 using the OpenStack REST API just as you would with the command line
 clients.
 .
 This package includes the configuration files to use within Apache. If you
 wish to configure Apache yourself, use only openstack-dashboard.

Package: horizon-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: web application to control an OpenStack cloud - doc
 The OpenStack Dashboard is a web application to control an OpenStack
 cloud. It connects to OpenStack services such as Nova, Swift, or Keystone
 using the OpenStack REST API just as you would with the command line
 clients.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)

include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)

%:
	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc

override_dh_auto_install:
	# Note: upstream advises to use "python setup.py compile_catalog"
	# maybe we should do that next time.
	chmod +x debian/compile-messages
	$(CURDIR)/debian/compile-messages

	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install \
			--install-layout=deb \
			--root $(CURDIR)/debian/python-django-horizon \
			--no-compile -O0; \
	done

	install -d -m 755  $(CURDIR)/debian/tmp/usr/share/openstack-dashboard

	cp -a $(CURDIR)/openstack_dashboard/ $(CURDIR)/debian/tmp/usr/share/openstack-dashboard/

	# Sets memcached by default in local_settings.py
	cp $(CURDIR)/openstack_dashboard/local/local_settings.py.example 						$(CURDIR)/debian/openstack-dashboard/usr/share/openstack-dashboard/local_settings.py
	sed -i -e 's/os.path.join(LOCAL_PATH,/os.path.join("\/","var","lib","openstack-dashboard","secret-key",/' 	$(CURDIR)/debian/openstack-dashboard/usr/share/openstack-dashboard/local_settings.py
	echo "COMPRESS_OFFLINE=True" >> 										$(CURDIR)/debian/openstack-dashboard/usr/share/openstack-dashboard/local_settings.py

	cp $(CURDIR)/manage.py \
		$(CURDIR)/debian/tmp/usr/share/openstack-dashboard/
	ln -fs /etc/openstack-dashboard/local_settings.py \
		$(CURDIR)/debian/tmp/usr/share/openstack-dashboard/openstack_dashboard/local/local_settings.py

override_dh_link:
	mkdir -p $(CURDIR)/debian/openstack-dashboard/var/lib/openstack-dashboard/static/scss
	mv $(CURDIR)/debian/openstack-dashboard/usr/share/openstack-dashboard/openstack_dashboard/static/dashboard/scss/* $(CURDIR)/debian/openstack-dashboard/var/lib/openstack-dashboard/static/scss
	rmdir $(CURDIR)/debian/openstack-dashboard/usr/share/openstack-dashboard/openstack_dashboard/static/dashboard/scss
	dh_link
	for i in auth framework horizon ; do \
		ln -s /usr/lib/python2.7/dist-packages/horizon/static/$$i $(CURDIR)/debian/openstack-dashboard/usr/share/openstack-dashboard/openstack_dashboard/static/$$i ; \
	done

override_dh_auto_clean:
	dh_auto_clean
	python setup.py clean
	rm -rf $(CURDIR)/static
	rm -rf $(CURDIR)/horizon/build
	rm -rf $(CURDIR)/horizon.egg-info
	rm -rf $(CURDIR)/openstack_dashboard/openstack_dashboard.egg-info
	rm -rf doc/source/sourcecode
	rm -rf $(CURDIR)/doc/build
	rm -f horizon/openstack_dashboard/test/.secret_key_store
	find $(CURDIR)/openstack_dashboard -iname '*.pyc' -delete

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source debian/horizon-doc/usr/share/doc/horizon-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	# We should add --compilemessages when the .mo are removed.
	./run_tests.sh --no-virtual-env --no-pep8 --verbosity=2
endif

## horizon 8.0.1

=== debian/changelog ===
horizon (2:8.0.1-0ubuntu1) wily; urgency=medium

  * New upstream point release for OpenStack Liberty (LP: #1530913).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 09 Feb 2016 10:19:12 -0500

horizon (2:8.0.0-0ubuntu2) wily; urgency=medium

  * d/openstack-dashboard-ubuntu-theme.postrm: Ensure that purge and
    reload of static assets is only done on purge/remove, resolving
    problems when upgrading to new versions (LP: #1506826).

 -- James Page <james.page@ubuntu.com>  Fri, 16 Oct 2015 14:20:47 +0100

horizon (2:8.0.0-0ubuntu1) wily; urgency=medium

  * New upstream release for OpenStack Liberty.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Oct 2015 17:16:06 -0400

horizon (2:8.0.0~rc2-0ubuntu1) wily; urgency=medium

  * New upstream release candidate for OpenStack Liberty.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Oct 2015 09:58:44 -0400

horizon (2:8.0.0~rc1-0ubuntu2) wily; urgency=medium

  * Update Ubuntu theme inline with OpenStack Liberty.

 -- James Page <james.page@ubuntu.com>  Sat, 03 Oct 2015 06:58:24 +0100

horizon (2:8.0.0~rc1-0ubuntu1) wily; urgency=medium

  * d/watch: Update to cope with upstream rc versioning.
  * New upstream release candidate for OpenStack Liberty.
  * d/rules: Drop removal of .eggs directory in override_dh_auto_clean.
  * d/control: Bump minimum pbr version to 1.8.
  * d/control: Align dependencies with upstream.
  * d/p/ubuntu_settings.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 28 Sep 2015 15:15:11 -0400

horizon (2:8.0.0~b3-0ubuntu2) wily; urgency=medium

  * d/pydist-overrides: Add missing xstatic packages to resolve install
    issues in the Ubuntu Cloud Archive.

 -- James Page <james.page@ubuntu.com>  Mon, 14 Sep 2015 12:38:40 +0100

horizon (2:8.0.0~b3-0ubuntu1) wily; urgency=medium

  * New upstream milestone for OpenStack Liberty.
  * d/control: Align (build-)depends with upstream.
  * d/p/ubuntu_settings.patch: Rebased.
  * d/p/embedded-xstatic.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 08 Sep 2015 15:52:37 -0400

horizon (2:8.0.0~b2-0ubuntu4) wily; urgency=medium

  * d/rules: Add symlink to horizon dist-packages in root of openstack-dashboard
    install, resolving problems with loading of charts and javascript.
  * d/rules: Trim any trailing whitespace.
  * d/openstack-dashboard-ubuntu-theme.links: Pickup default bootstrap and horizon
    theme configurations.
  * d/control,d/tests: Add a basic install autopkgtest.
  * d/*.postinst: Ensure that any subdirectories are purged prior to collection
    and compression of static assets.

 -- James Page <james.page@ubuntu.com>  Thu, 03 Sep 2015 14:29:06 +0100

horizon (2:8.0.0~b2-0ubuntu3) wily; urgency=medium

  * d/pydist-overrides: Update for new milestone, resolving installability
    issues in Ubuntu Cloud Archive.
  * d/theme/ubuntu/_variables.scss: Import default theme before overriding,
    resolving installability problems (LP: #1477782). Note that theme is
    not completely functional - this will be resolved later.

 -- James Page <james.page@ubuntu.com>  Thu, 03 Sep 2015 11:25:39 +0100

horizon (2:8.0.0~b2-0ubuntu2) wily; urgency=medium

  * Rebuild to pick up xstatic orig tarball.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 25 Aug 2015 07:13:01 -0400

horizon (2:8.0.0~b2-0ubuntu1) wily; urgency=medium

  * New upstream milestone for OpenStack Liberty.
  * d/control: Align (build-)depends with upstream.
  * d/p/ubuntu_settings.patch: Rebased.
  * d/p/embedded-xstatic.patch: Rebased.
  * d/rules: Remove .eggs directory in override_dh_auto_clean.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 19 Aug 2015 10:31:38 -0400

horizon (2:8.0.0~b1-0ubuntu1) wily; urgency=medium

  * New upstream milestone for OpenStack Liberty.
  * Refresh all patches for new release.
  * Align (build-)depends with upstream.
  * wrap-and-sort -a -t.
  * Tidy copyright file.

 -- James Page <james.page@ubuntu.com>  Thu, 09 Jul 2015 11:41:34 +0100

horizon (1:2015.1.0-0ubuntu1) vivid; urgency=medium

  * New upstream release for OpenStack kilo. (LP: #1449744)

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Apr 2015 15:46:00 +0200

horizon (1:2015.1~rc1-0ubuntu2) vivid; urgency=medium

  * d/pydist-overrides: Amend typo xstatic-angular-irdragndrop ->
    xstatic-angular-lrdragndrop to ensure that embedded xstatic deps are
    correctly ignored when generating dependencies (LP: #1439837).

 -- James Page <james.page@ubuntu.com>  Mon, 20 Apr 2015 08:54:52 +0100

horizon (1:2015.1~rc1-0ubuntu1) vivid; urgency=medium

  * New upstream release candidate:
    - d/openstack-dashboard.conf: Add /horizon/static alias in addition
      to /static to cover both paths to static resources.
    - d/p/fix-requirements.patch: Drop, not actually used.
    - d/p/*: Refresh.
  *  Update Ubuntu theme for OpenStack Kilo (LP: #1443973).
    - d/theme/*: Refresh inline with new approach to theming in Kilo.
    - d/openstack-dashboard-ubuntu-theme.install|links: Install
      ubuntu_theme.py directly into the openstack_dashboard source tree
      instead of symlinking, supporting easier switching of themes.
    - d/openstack-dashboard{-ubuntu-theme}.postinst|postrm: Purge 'custom'
      folder prior to collecting and compressing static assets to ensure
      that theme changes are correctly detected and implemented.

 -- James Page <james.page@ubuntu.com>  Thu, 16 Apr 2015 10:14:54 +0100

horizon (1:2015.1~b3-0ubuntu2) vivid; urgency=medium

  * d/pydist-overrides: Ignore xstatic depends added at kilo-3 as these
    are bundled in Ubuntu (LP: #1442531). 

 -- James Page <james.page@ubuntu.com>  Fri, 10 Apr 2015 10:03:25 +0100

horizon (1:2015.1~b3-0ubuntu1) vivid; urgency=medium

  * New upstream milestone release:
    - d/control: All version requirements with upstream, drop dependency
      on lockfile.
    - Refresh xstatic assets.
    - d/p/*: Refresh.
  * d/pydist-overrides: Add overrides for oslo packages.



=== debian/control ===
Source: horizon
Section: net
Priority: extra
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends: debhelper (>= 9~),
               dh-python,
               openstack-pkg-tools (>= 23~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: python-babel (>= 1.3),
                     python-ceilometerclient (>= 1.5.0),
                     python-cinderclient (>= 1:1.3.1),
                     python-compressor (>= 1.4),
                     python-django (>= 1.7),
                     python-django-pyscss (>= 2.0.2),
                     python-eventlet (>= 0.17.4),
                     python-glanceclient (>= 1:0.18.0),
                     python-heatclient (>= 0.3.0),
                     python-httplib2 (>= 0.7.5),
                     python-iso8601 (>= 0.1.9),
                     python-keystoneclient (>= 1:1.6.0),
                     python-kombu (>= 3.0.7),
                     python-mock (>= 1.2),
                     python-mox3 (>= 0.7.0),
                     python-netaddr (>= 0.7.12),
                     python-neutronclient (>= 1:2.6.0),
                     python-novaclient (>= 1:2.28.1),
                     python-openstack-auth (>= 2.0.0),
                     python-oslo.concurrency (>= 2.3.0),
                     python-oslo.config (>= 1:2.3.0),
                     python-oslo.i18n (>= 1.5.0),
                     python-oslo.policy (>= 0.5.0),
                     python-oslo.serialization (>= 1.4.0),
                     python-oslo.utils (>= 2.0.0),
                     python-pint (>= 0.5),
                     python-pyscss (>= 1.3.4),
                     python-saharaclient (>= 0.10.0),
                     python-six (>= 1.9.0),
                     python-swiftclient (>= 1:2.2.0),
                     python-troveclient (>= 1.2.0),
                     python-tz (>= 2013.6),
                     python-yaml (>= 3.1.0),
Standards-Version: 3.9.6
Homepage: http://launchpad.net/horizon
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/horizon
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/horizon
XS-Testsuite: autopkgtest

Package: python-django-horizon
Section: python
Architecture: all
Depends: python-babel (>= 1.3),
         python-ceilometerclient (>= 1.5.0),
         python-cinderclient (>= 1:1.3.1),
         python-compressor (>= 1.4),
         python-django (>= 1.7),
         python-django-pyscss (>= 2.0.2),
         python-eventlet (>= 0.17.4),
         python-glanceclient (>= 1:0.18.0),
         python-heatclient (>= 0.3.0),
         python-httplib2 (>= 0.7.5),
         python-iso8601 (>= 0.1.9),
         python-keystoneclient (>= 1:1.6.0),
         python-kombu (>= 3.0.7),
         python-netaddr (>= 0.7.12),
         python-neutronclient (>= 1:2.6.0),
         python-novaclient (>= 1:2.28.1),
         python-openstack-auth (>= 2.0.0),
         python-oslo.concurrency (>= 2.3.0),
         python-oslo.config (>= 1:2.3.0),
         python-oslo.i18n (>= 1.5.0),
         python-oslo.policy (>= 0.5.0),
         python-oslo.serialization (>= 1.4.0),
         python-oslo.utils (>= 2.0.0),
         python-pbr (>= 1.8),
         python-pint (>= 0.5),
         python-pyscss (>= 1.3.4),
         python-saharaclient (>= 0.10.0),
         python-six (>= 1.9.0),
         python-swiftclient (>= 1:2.2.0),
         python-troveclient (>= 1.2.0),
         python-tz (>= 2013.6),
         python-yaml (>= 3.1.0),
         ${misc:Depends},
         ${python:Depends},
Recommends: memcached,
Description: Django module providing web based interaction with OpenStack
 The Django-Nova project is a Django module that is used to provide web based
 interactions with the OpenStack Nova cloud controller.

Package: openstack-dashboard
Architecture: all
Pre-Depends: dpkg (>= 1.15.7.2),
Depends: adduser,
         apache2 | httpd,
         libapache2-mod-wsgi (>= 2.3),
         python-django-horizon (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
Recommends: openstack-dashboard-ubuntu-theme,
Description: Django web interface for OpenStack
 The OpenStack Dashboard is a reference implementation of a Django site that
 uses the Django-Nova project to provide web based interactions with the
 OpenStack Nova cloud controller.

Package: openstack-dashboard-ubuntu-theme
Architecture: all
Depends: openstack-dashboard (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: Ubuntu theme for the OpenStack dashboard
 A custom Ubuntu theme for Horizon.  This package is optional and overrides the
 default theme and branding.

## horizon 9.0.0

=== Makefile ===
PYTHON=`which python`
DESTDIR=/
PROJECT=horizon

all:
	@echo "make test - Run tests"
	@echo "make source - Create source package"
	@echo "make install - Install on local system"
	@echo "make buildrpm - Generate a rpm package"
	@echo "make clean - Get rid of scratch and byte files"

source:
	$(PYTHON) setup.py sdist $(COMPILE)

install:
	$(PYTHON) setup.py install --root $(DESTDIR) $(COMPILE)

buildrpm:
	$(PYTHON) setup.py bdist_rpm --post-install=rpm/postinstall --pre-uninstall=rpm/preuninstall

clean:
	$(PYTHON) setup.py clean
	rm -rf build/ MANIFEST
	find . -name '*.pyc' -delete

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
# Order matters to the pip dependency resolver, so sorting this file
# changes how packages are installed.  New dependencies should be
# added in alphabetical order, however, some dependencies may need to
# be installed in a specific order.
#
# PBR should always appear first
pbr>=1.6 # Apache-2.0
# Horizon Core Requirements
Babel>=1.3 # BSD
Django<1.9,>=1.8 # BSD
Pint>=0.5 # BSD
django-babel>=0.4.0 # BSD
django-compressor>=2.0 # MIT
django-openstack-auth>=2.0.0 # Apache-2.0
django-pyscss>=2.0.2 # BSD License (2 clause)
httplib2>=0.7.5 # MIT
iso8601>=0.1.9 # MIT
netaddr!=0.7.16,>=0.7.12 # BSD
oslo.concurrency>=3.5.0 # Apache-2.0
oslo.config>=3.7.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.policy>=0.5.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0
pyScss>=1.3.4 # MIT License
python-ceilometerclient>=2.2.1 # Apache-2.0
python-cinderclient>=1.3.1 # Apache-2.0
python-glanceclient>=2.0.0 # Apache-2.0
python-heatclient>=0.6.0 # Apache-2.0
python-keystoneclient!=1.8.0,!=2.1.0,>=1.6.0 # Apache-2.0
python-neutronclient!=4.1.0,>=2.6.0 # Apache-2.0
python-novaclient!=2.33.0,>=2.29.0 # Apache-2.0
python-swiftclient>=2.2.0 # Apache-2.0
pytz>=2013.6 # MIT
PyYAML>=3.1.0 # MIT
six>=1.9.0 # MIT
XStatic>=1.0.0 # MIT License
XStatic-Angular>=1.3.7 # MIT License
XStatic-Angular-Bootstrap>=0.11.0.2 # MIT License
XStatic-Angular-Gettext>=2.1.0.2 # MIT License
XStatic-Angular-lrdragndrop>=1.0.2.2 # MIT License
XStatic-Bootstrap-Datepicker>=1.3.1.0 # Apache 2.0 License
XStatic-Bootstrap-SCSS>=3 # Apache 2.0 License
XStatic-bootswatch>=3.3.5.3 # MIT License
XStatic-D3>=3.1.6.2 # BSD License (3 clause)
XStatic-Hogan>=2.0.0.2 # Apache 2.0 License
XStatic-Font-Awesome>=4.3.0 # SIL OFL 1.1 License, MIT License
XStatic-Jasmine>=2.1.2.0 # MIT License
XStatic-jQuery>=1.7.2 # MIT License
XStatic-JQuery-Migrate>=1.2.1.1 # MIT License
XStatic-JQuery.quicksearch>=2.0.3.1 # MIT License
XStatic-JQuery.TableSorter>=2.14.5.1 # MIT License
XStatic-jquery-ui>=1.10.1 # MIT License
XStatic-JSEncrypt>=2.0.0.2 # MIT License
XStatic-mdi==1.1.70.1 # SIL OPEN FONT LICENSE Version 1.1
XStatic-Rickshaw>=1.5.0 # BSD License (prior)
XStatic-roboto-fontface>=0.4.3.2 # Apache 2.0 License
XStatic-smart-table>=1.4.5.3 # MIT License
XStatic-Spin>=1.2.5.2 # MIT License
XStatic-term.js>=0.0.4 # MIT License

=== debian/changelog ===
horizon (2:9.0.0-0ubuntu2) xenial; urgency=medium

  * d/openstack-dashboard.[preinst|postrm]: Remove any static files from
    /usr/share/openstack-dashboard/static/* prior to install and after removal
    (LP: #1568971).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 18 Apr 2016 15:05:42 -0400

horizon (2:9.0.0-0ubuntu1) xenial; urgency=medium

  * Final upstream release for OpenStack Mitaka.
  * d/theme/*: Refresh for final Mitaka release (LP: #1556916).

 -- James Page <james.page@ubuntu.com>  Thu, 07 Apr 2016 18:30:21 +0100

horizon (2:9.0.0~rc1-0ubuntu1) xenial; urgency=medium

  * New upstream release candidate for OpenStack Mitaka.
  * d/control: Align (build-)depends with upstream.
  * d/p/*: Rebased.
  * d/theme/ubuntu_theme.py: Drop the deprecated CUSTOM_THEME_PATH in favor of
    AVAILABLE_THEMES.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 24 Mar 2016 08:13:46 -0400

horizon (2:9.0.0~b3-0ubuntu1) xenial; urgency=medium

  * New upstream milestone for OpenStack Mitaka.
  * d/control: Align (build-)depends with upstream.
  * d/p/ubuntu_settings.patch: Rebased.
  * d/p/embedded-xstatic.patch: Rebased.
  * d/p/fix-horizon-test-settings.patch: Rebased.

 -- David Della Vecchia <ddv@canonical.com>  Mon, 07 Mar 2016 14:40:58 -0500

horizon (2:9.0.0~b2-0ubuntu1) xenial; urgency=medium

  * New upstream milestone for OpenStack Mitaka.
  * d/control: Align (build-)depends with upstream.
  * d/p/ubuntu_settings.patch: Rebased.
  * d/p/add-juju-environment-download.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 22 Jan 2016 14:20:57 -0500

horizon (2:9.0.0~b1-0ubuntu2) xenial; urgency=medium

  * d/p/fix-horizon-test-settings.patch: Set path to enable import from
    openstack_dashboard.static_settings.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 18 Dec 2015 16:07:24 -0500

horizon (2:9.0.0~b1-0ubuntu1) xenial; urgency=medium

  * New upstream milestone for OpenStack Mitaka.
  * d/control: Align (build-)depends with upstream.
  * d/p/ubuntu_settings.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 16 Dec 2015 09:39:48 -0500

=== debian/control ===
--- 
+++ 
@@ -10,36 +10,33 @@
                python-setuptools,
                python-sphinx,
 Build-Depends-Indep: python-babel (>= 1.3),
-                     python-ceilometerclient (>= 1.5.0),
+                     python-ceilometerclient (>= 2.2.1),
                      python-cinderclient (>= 1:1.3.1),
-                     python-compressor (>= 1.4),
-                     python-django (>= 1.7),
+                     python-compressor (>= 2.0),
+                     python-django (>= 1.8),
                      python-django-pyscss (>= 2.0.2),
-                     python-eventlet (>= 0.17.4),
-                     python-glanceclient (>= 1:0.18.0),
-                     python-heatclient (>= 0.3.0),
+                     python-glanceclient (>= 1:2.0.0),
+                     python-heatclient (>= 0.6.0),
                      python-httplib2 (>= 0.7.5),
                      python-iso8601 (>= 0.1.9),
                      python-keystoneclient (>= 1:1.6.0),
-                     python-kombu (>= 3.0.7),
                      python-mock (>= 1.2),
                      python-mox3 (>= 0.7.0),
                      python-netaddr (>= 0.7.12),
                      python-neutronclient (>= 1:2.6.0),
-                     python-novaclient (>= 1:2.28.1),
+                     python-novaclient (>= 2:2.29.0),
                      python-openstack-auth (>= 2.0.0),
-                     python-oslo.concurrency (>= 2.3.0),
-                     python-oslo.config (>= 1:2.3.0),
-                     python-oslo.i18n (>= 1.5.0),
+                     python-oslo.concurrency (>= 3.5.0),
+                     python-oslo.config (>= 1:3.7.0),
+                     python-oslo.i18n (>= 2.1.0),
                      python-oslo.policy (>= 0.5.0),
-                     python-oslo.serialization (>= 1.4.0),
-                     python-oslo.utils (>= 2.0.0),
+                     python-oslo.serialization (>= 1.10.0),
+                     python-oslo.utils (>= 3.5.0),
+                     python-oslosphinx (>= 2.5.0),
                      python-pint (>= 0.5),
                      python-pyscss (>= 1.3.4),
-                     python-saharaclient (>= 0.10.0),
                      python-six (>= 1.9.0),
                      python-swiftclient (>= 1:2.2.0),
-                     python-troveclient (>= 1.2.0),
                      python-tz (>= 2013.6),
                      python-yaml (>= 3.1.0),
 Standards-Version: 3.9.6
@@ -52,35 +49,31 @@
 Section: python
 Architecture: all
 Depends: python-babel (>= 1.3),
-         python-ceilometerclient (>= 1.5.0),
+         python-ceilometerclient (>= 2.2.1),
          python-cinderclient (>= 1:1.3.1),
-         python-compressor (>= 1.4),
-         python-django (>= 1.7),
+         python-compressor (>= 2.0),
+         python-django (>= 1.8),
          python-django-pyscss (>= 2.0.2),
-         python-eventlet (>= 0.17.4),
-         python-glanceclient (>= 1:0.18.0),
-         python-heatclient (>= 0.3.0),
+         python-glanceclient (>= 1:2.0.0),
+         python-heatclient (>= 0.6.0),
          python-httplib2 (>= 0.7.5),
          python-iso8601 (>= 0.1.9),
          python-keystoneclient (>= 1:1.6.0),
-         python-kombu (>= 3.0.7),
          python-netaddr (>= 0.7.12),
          python-neutronclient (>= 1:2.6.0),
-         python-novaclient (>= 1:2.28.1),
+         python-novaclient (>= 2:2.29.0),
          python-openstack-auth (>= 2.0.0),
-         python-oslo.concurrency (>= 2.3.0),
-         python-oslo.config (>= 1:2.3.0),
-         python-oslo.i18n (>= 1.5.0),
+         python-oslo.concurrency (>= 3.5.0),
+         python-oslo.config (>= 1:3.7.0),
+         python-oslo.i18n (>= 2.1.0),
          python-oslo.policy (>= 0.5.0),
-         python-oslo.serialization (>= 1.4.0),
-         python-oslo.utils (>= 2.0.0),
+         python-oslo.serialization (>= 1.10.0),
+         python-oslo.utils (>= 3.5.0),
          python-pbr (>= 1.8),
          python-pint (>= 0.5),
          python-pyscss (>= 1.3.4),
-         python-saharaclient (>= 0.10.0),
          python-six (>= 1.9.0),
          python-swiftclient (>= 1:2.2.0),
-         python-troveclient (>= 1.2.0),
          python-tz (>= 2013.6),
          python-yaml (>= 3.1.0),
          ${misc:Depends},

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/horizon horizon-(\d.*)\.tar\.gz
